%define upstream_name    Mock-Quick
%define upstream_version 1.107

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Control a mocked object after creation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mock/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Declare)
BuildRequires: perl(Fennec::Lite)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
Mock-Quick is here to solve the current problems with Mocking libraries.

There are a couple Mocking libraries available on CPAN. The primary
problems with these libraries include verbose syntax, and most importantly
side-effects. Some Mocking libraries expect you to mock a specific class,
and will unload it then redefine it. This is particularily a problem if you
only want to override a class on a lexical level.

Mock-Object provides a declarative mocking interface that results in a very
concise, but clear syntax. There are seperate facilities for mocking object
instances, and classes. You can quickly create an instance of an object
with custom attributes and methods. You can also quickly create an
anonymous class, optionally inhereting from another, with whatever methods
you desire.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Nov 12 2013 shlomif <shlomif> 1.107.0-1.mga4
+ Revision: 550801
- Missing BRs
- imported package perl-Mock-Quick


* Tue Nov 12 2013 cpan2dist 1.107-1mga
- initial mageia release, generated with cpan2dist
